/*
 * Test directory reading.
 *
 * Copyright (C) 2021 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA
 */

#include <dirent.h>
#include <stdio.h>



int main(int argc, char *argv[])
{
  if (argc < 2)
  {
    printf("Need directory name.\n");
    return 1;
  }

  /* Obtain directory name. */

  char *filename = argv[1];
  DIR *dir = opendir(filename);

  if (dir == NULL)
  {
    printf("Could not obtain directory: %s\n", filename);
    return 1;
  }

  struct dirent *dirent;

  while ((dirent = readdir(dir)) != NULL)
    printf("> %s\n", dirent->d_name);

  printf("Directory shown.\n");

  return 0;
}

// vim: tabstop=2 expandtab shiftwidth=2
